$(function(){
	
			$('#reportemail').change(function (){
				if($(this).val()=='Yes'){
					$('#emailAdd').fadeIn();
				}else{
					$('#emailAdd').fadeOut();
				}
			});
			
			// Top User Start Date
			new JsDatePick({
				useMode:2,
				target:"usrstart_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			// Top User End Date
			new JsDatePick({
				useMode:2,
				target:"usrend_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});

			
			// CPU Start Date
			new JsDatePick({
				useMode:2,
				target:"cpustart_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			// CPU End Date
			new JsDatePick({
				useMode:2,
				target:"cpuend_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			// Memory Start Date
			new JsDatePick({
				useMode:2,
				target:"memorystart_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			// Memory End Date
			new JsDatePick({
				useMode:2,
				target:"memoryend_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			// Mysql Start Date
			new JsDatePick({
				useMode:2,
				target:"mysqlstart_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			// Mysql End Date
			new JsDatePick({
				useMode:2,
				target:"mysqlend_date",
				dateFormat:"%d-%m-%Y",
				limitToToday:true
			});
			

		});

		// 
		
		function getTopuser(mode){
			var sdate =$('#'+mode+'start_date').val();
			var edate =$('#'+mode+'end_date').val();
			$("#"+mode+"Content").html('<img src="images/loading.gif" />');
			$.ajax( {
				url : 'whmajax.php',
				type : "GET",
				data : "req=topuser&mode="+mode+"&start_date="+sdate+"&end_date="+edate,
				success : function(result) {
					// alert(result);
					$("#"+mode+"Content").html(result);
				}
			});	
		}
		function requestinfo(mode){
                       var ReqMode =[];
                        ReqMode[0]='sysinfo';
                        ReqMode[1]='diskinfo';
                        for(var i=0;i<ReqMode.length;i++){
                           // alert(ReqMode[i]);
                            $("#refreshCon").html('<img src="images/loading.gif" />');
                            $("#"+ReqMode[i]).html('<img src="images/loading.gif" />');
                            $.ajax( {
                                    url : 'whmajax.php',
                                    type : "GET",
                                    async :false,
                                    data : "req="+ReqMode[i],
                                    success : function(result) {
                                            $("#"+ReqMode[i]).html(result);
                                    }
                            });	
                             $.ajax({
                                    url : 'whmajax.php',
                                    type : "GET",
                                    async :false,
                                    dataType:'json',
                                    data : "req=meterLoad",
                                    success : function(result) {
                                        meterRun('system_meter',result.system);
                                        meterRun('memory_meter',result.memory);
                                        meterRun('cached_meter',result.cached);
                                        meterRun('cpu_meter',result.cpu);
                                        meterRun('disk_meter',result.disk);
                                        $("#refreshCon").html('');
                                    }
                             });
                        }
            $('#chart1').html('');
            renderGraph('chart1','disinformation','Disk Information');
		}
		/**
		 * DataRenderer() used to pull the data from the server
		 * @param url 
		 * @returns ret
		 */
		function DataRenderer(url) {
        	
            var ret = null;
            $.ajax({
              // have to use synchronous here, else the function
              // will return before the data is fetched
              async: false,
              url : url,
              dataType:"json",
              success: function(data) {
            	ret = data;
              }
            });
            return ret;
          }
		
		function renderGraph(elemt,reqType,label){
			 	$("#"+elemt).html('');
			 	var graphlbl = $("#grpahtxt").val();
			 	var error=false;
			 	
		        
		        var sdate =$('#usrstart_date').val();  
		        var edate =$('#usrend_date').val();
		        var sd = sdate.split('-');
		  		var ed = edate.split('-');
		  		var start_date = sd[2]+sd[1]+sd[0];//Y-m-d
		  		var end_date = ed[2]+ed[1]+ed[0];
		  		
			  	if(start_date>end_date)
				{
					alert(" Start Date should be lesser than End Date");
					$("#"+elemt).html(" Start Date should be lesser than End Date");
					return false;
				}
			  	var jsonurl = "whmajax.php?req="+reqType+"&start_date="+sdate+"&end_date="+edate;
			  	var ajaxDataRenderer = DataRenderer(jsonurl);
			  	if(ajaxDataRenderer==null){
			  		alert("Result Not Found");
					$("#"+elemt).html(" No Data Fond");
					return false;
			  	}
		          
		          // The url for our json data
		         
		          //var jsonurl = 'jsondata.txt';
		          // passing in the url string as the jqPlot data argument is a handy
		          // shortcut for our renderer.  You could also have used the
		          // "dataRendererOptions" option to pass in the url.
		          var plot = $.jqplot(elemt, ajaxDataRenderer,{
		            seriesDefaults: {
			            		   sortData :true,
			                       renderer:$.jqplot.BarRenderer,
			                       // Show point labels to the right ('e'ast) of each bar.
			                       // edgeTolerance of -15 allows labels flow outside the grid
			                       // up to 15 pixels.  If they flow out more than that, they
			                       // will be hidden.
			                       pointLabels: { show: true, location: 'e', edgeTolerance: -15 },
			                       // Rotate the bar shadow as if bar is lit from top right.
			                       shadowAngle: 135,
			                       // Here's where we tell the chart it is oriented horizontally.
			                       rendererOptions: {
			                           barDirection: 'horizontal'
			                       }
			                   },
			                   axes: {
			                       yaxis: {
			                           renderer: $.jqplot.CategoryAxisRenderer
			                       }
			                   }
		          });
		          //$("#"+elemt).html('');
		       }
  
                // Meter Load with animation 
	    	
                function meterRun(elem,value){
                     //Element & Values
                    // alert('Eleme : '+elem+'---Value--'+value);
                     var autoVals = 1
                         ,timer = setInterval(function() {
                          if(autoVals > value) return;
                              $("."+elem).each(
                              function(){
                                   $(this).val(autoVals).trigger('change');
                                   $(this).css('color','grey');
                              }
                           );
                          autoVals++;
                      }, 10);
                }